CREATE TABLE `hosts` (
  `id` int(11) NOT NULL auto_increment,
  `host` varchar(50)  NOT NULL,
  `ip` varchar(15) NOT NULL,
  `description` varchar(50) NOT NULL,
  `category` varchar(50) NOT NULL,
  `snmp` varchar(50) NOT NULL default 'public',
  `httpport` int(11) NOT NULL default '80',
  `ping` decimal(6,2) NOT NULL default '-1.00',
  `pingerror` int(11) NOT NULL default '1',
  `snmperror` int(11) NOT NULL default '1',
  `offline` tinyint(1) NOT NULL default '0',
  `snmp_name` varchar(255) NOT NULL,
  `snmp_location` varchar(255) NOT NULL,
  `snmp_contact` varchar(255) NOT NULL,
  `snmp_uptime` varchar(255) NOT NULL,
  PRIMARY KEY  (`id`)
);

CREATE TABLE `locks` (
  `id` int(11) NOT NULL auto_increment,
  `id_host` int(11) NOT NULL,
  `date` int(11) NOT NULL,
  PRIMARY KEY  (`id`)
);
	