<? 
include_once('header.php');
include_once('include/config.inc');
include_once('include/login.inc');
include_once('include/functions.php');

//pet template
include_once('include/pet.class.php');

$action = isset($_REQUEST["action"]) ? $_REQUEST["action"] : "";

switch ($action) {
  case "new":
    addnew();
    break;
  case "edit":
    edit();
    break;
  case "submit_edit":
    submit("edit");
    break;
  case "submit_new":
    submit("new");
    break;
  case "submit_delete":
    submit_delete();
    break;
  case "delete":
    delete();
    break;
default:
	break;
}

include_once('footer.php');
exit;

function addnew()
{
  if (login_user() == 0 && login_admin() == 0)
  {
    echo_div("Please login first.", "error");
    return;
  }
  
  $pet = new pet('hosts_edit.tpl');
  $pet->caption = "Add host";
  $pet->http="80";
  $pet->snmp="public";
  $pet->action = "submit_new";
  echo $pet->fetch();
}

function edit()
{
  if (login_admin() == 0)
  {
    echo_div("Please login as admin first.", "error");
    return;
  }
  include_once("include/db.inc");
  $pet = new pet('hosts_edit.tpl');
  
  $id = isset($_REQUEST["id"]) ? $_REQUEST["id"] : "-1";
  if ($id == -1) die ("Error" . " File: " . __FILE__ . " on line: " . __LINE__);
  
  $res = mysql_query("SELECT * FROM hosts WHERE id=".$id.";", GetMyConnection());
  $arr = mysql_fetch_array($res);
  if (!$arr) die ("Error" . " File: " . __FILE__ . " on line: " . __LINE__);
  
  $pet->description = $arr["description"];
  $pet->host = $arr["host"];
  $pet->category = $arr["category"];
  $pet->snmp = $arr["snmp"];
  $pet->http = $arr["httpport"];

  $pet->id = $id;
  $pet->action = "submit_edit";
  $pet->caption = "Edit host";
  echo $pet->fetch();  
}

function delete()
{
  if (login_admin() == 0)
  {
    echo_div("Please login as admin first.", "error");
    return;
  }
  include_once("include/db.inc");
  $pet = new pet('hosts_delete.tpl');
  
  $id = isset($_REQUEST["id"]) ? $_REQUEST["id"] : "-1";
  if ($id == -1) die ("Error" . " File: " . __FILE__ . " on line: " . __LINE__);
  
  $res = mysql_query("SELECT * FROM hosts WHERE id=".$id.";", GetMyConnection());
  $arr = mysql_fetch_array($res);
  if (!$arr) die ("Error" . " File: " . __FILE__ . " on line: " . __LINE__);

  $pet->description = $arr["description"];
  $pet->host = $arr["host"];
  $pet->category = $arr["category"];
  $pet->snmp = $arr["snmp"];
  $pet->http = $arr["httpport"];

  $pet->id = $id;
  $pet->action = "submit_delete";
  echo $pet->fetch();  
}

function submit_delete()
{
  if (login_admin() == 0)
  {
    echo_div("Please login as admin first.", "error");
    return;
  }
  include_once("include/db.inc");

  $id = isset($_REQUEST["id"]) ? $_REQUEST["id"] : "-1";
  if ($id == -1) die ("Error" . " File: " . __FILE__ . " on line: " . __LINE__);
  
  $sql = "DELETE FROM hosts WHERE id='$id'";
  $res = mysql_query($sql, GetMyConnection());
  if (!$res) die ("Error" . " File: " . __FILE__ . " on line: " . __LINE__);

  echo_div("Host deleted", "info");
}

function submit($action)
{
  include_once("include/db.inc");

  $post_host = isset($_POST["host"]) ? $_POST["host"] : "";
  $post_category = isset($_POST["category"]) ? $_POST["category"] : "";
  $post_description = isset($_POST["description"]) ? $_POST["description"] : "";
  $post_snmp = isset($_POST["snmp"]) ? $_POST["snmp"] : "";
  $post_http = isset($_POST["http"]) ? $_POST["http"] : "";
  $post_id = isset($_POST["id"]) ? $_POST["id"] : "";

  $error = 0;
  $error += (strlen($post_host) == 0);
  $error += (strlen($post_category) == 0);
  $error += (strlen($post_description) == 0);
  $error += (strlen($post_snmp) == 0);
  $error += (strlen($post_http) == 0);
  $error += ($action === "edit") && (strlen($post_id) == 0);

  if ($error != 0)
    die("Form error - Fill the form correctly.");
    
  $pet = new pet('hosts_test.tpl');
  
  $test_ip = @gethostbyname($post_host);
  $test_dns = @gethostbyaddr($test_ip) ? gethostbyaddr($test_ip) : "error";

  if (!@snmpget($post_host, $post_snmp, "SNMPv2-MIB::sysName.0"))
    $test_snmp = "error";
  else
    $test_snmp = "ok";
  
  $fp = @fopen("http://".$post_host.":".$post_http."/accounting/ip.cgi", "r");
  if (!$fp)
    $test_http = "error";
  else
  {
    $test_http = "ok";
    @fclose(fp);
  }
  
  $continue = false;
  if ($test_snmp === "error" || $test_http === "error")
  {
    $test_result = "Error";
  }
  if (login_admin())
    $continue = true;
    
  if (login_user() && ($test_result !== "Error"))
    $continue = true;  
    
  if ($continue)
  {
    if ($action === "edit")
    {  
      $sql = "UPDATE hosts SET host='$post_host', category='$post_category', description='$post_description', 
      snmp='$post_snmp', httpport='$post_http', pingerror='1000', snmperror='1000', ping='-1', offline='0' WHERE id='$post_id';";
    }
    else
    {//new
      if (login_user() == 0 && login_admin() == 0)
      {
        echo_div("Please login first.", "error");
        return;
      }
      $sql = "INSERT INTO hosts SET host='$post_host', category='$post_category', description='$post_description', 
      snmp='$post_snmp', httpport='$post_http', pingerror='1', snmperror='1', ping='-1';";    

    }
    //echo $sql;
    $res = mysql_query($sql, GetMyConnection());
    if (!$res) die ("Error" . " File: " . __FILE__ . " on line: " . __LINE__);
    $test_result = "Ok";
  }
  $pet->test_ip = $test_ip;
  $pet->test_dns = $test_dns;
  $pet->test_snmp = $test_snmp;
  $pet->test_http = $test_http;
  $pet->test_result = $test_result;   
  echo $pet->fetch();  
}

?>      
