<?
/**
 * MAIN CONFIGURATION FILE
 **/
 
/**
 * Routers Definition
 *
 * moved to sql database
 **/

/**
 * Main directory (include the final "/")
 **/
$directory = "/var/www/rosinfo/";

/**
 * Directory, where the rrd files are stored (include the final "/")
 **/
$rrd_directory = "/var/www/rosinfo/rrd/";

/**
 * Number of processes to start when fetching data from RouterOS
 * Depends on the number of hosts, I suggest using about 10 hosts per process
 * while keeping the max number about 8.
 *
 * In my application fetching one hosts takes about 5-20 seconds. With 120
 * hosts I use a value of 8.
 **/
$fetch_processes = 6;

/**
 * If you want to generate date and time in your local settings
 **/
//setlocale(LC_TIME, "cs_CZ");

/**
 * If you use rrdtool build in php set this to 1. Otherwise it will use exec to 
 * call the rrdtool binary.
 * 
 * This option is no longer tested. Using 0 is recommended.
 **/
$phprrd = 0;

/**
 * Path to rrdtool binary
 **/
$rrdtool = "/usr/bin/rrdtool";

/**
 * Path to php binary
 **/
$php = "/usr/bin/php";

/**
 * Define your LAN network 
 *  
 * please use the format as it is shown below
 * 
 * EXAMPLE: $lan_network = array("10.0.0.0/8", "192.168.1.0/24");
 **/
$lan_network = array("10.0.0.0/8");

/**
 * Traffic measuring
 *
 * How long should the traffic measurement take.
 * I suggest something between 2-10 seconds. 
 **/
$traffic_time = 4; //seconds

/**
 * Type here some contact information.
 **/
$contact_information="Email:  ICQ:  ";

/**
 * Passwords for administration
 *  
 * admins can:
 *  add, delete, remove routers, 
 *  see advanced traffic information
 * 
 * users can: 
 *  add routers  
 *  see advanced traffic information - $login_user_see_traffic
 *  
 * note:
 *  don't use the same name for admin and user  
 * format: "username" => "password"    
 */
$login_passwords_admin = array ("admin" => "admin");
$login_passwords_user = array ("user" => "user");

/**
 * Should the user see traffic advanced information
 */ 
$login_user_see_traffic = 1; 

/**
 * END OF USER CONFIGURATION
 **/
?>
