[routers_online_enable]
<div class="post">
  <h4>Routers running Mikrotik OS</h4>
  <h5>Showing {count} online Mikrotik routers in category {category}.</h5>
  <table>
    <thead>
      <tr>
        [admin]
        <th style="width: 100px;">Admin</th>
        [/admin]
        <th style="width: 120px;">Category</th>
        <th style="width: 260px;">Description</th>
        <th style="width: 100px;">IP</th>
        <th style="text-align: right; width: 50px;">Ping</th>
        <th style="text-align: right; width: 40px;">SNMP</th>
        <th>Info</th>
        <th>Sign.</th>
        <th>Traf.</th>
      </tr>
    </thead>
    <tbody>
      [routers_online_loop]
      <tr onmouseover="show('id{id}', event, -1);" onmouseout="hide('id{id}');">
        [admin]
        <td>
          <a href="hosts.php?action=edit&amp;id={id}"><strong>Edit</strong><a>,
          <a href="hosts.php?action=delete&amp;id={id}"><strong>Delete</strong><a>
        </td> 
        [/admin]
        <td><a href="show.php?category={category}">{category}</a></td>
        <td><strong><a href="traffic.php?id={id}">{description}</a></strong></td>
        <td><a href="http://{ip}">{ip}</a></td>
        <td style="text-align: right;">{ping}</td>
        <td style="text-align: right;">{snmp}</td>
        <td style="text-align: center;"><a href="system.php?id={id}"><img alt="latency" src="images/icon_latency.gif"/></a></td>
        <td style="text-align: center;"><a href="signal.php?id={id}"><img alt="signal" src="images/icon_signal.gif"/></a></td>
        <td style="text-align: center;"><a href="traff.php?id={id}"><img alt="signal" src="images/icon_traff.gif"/></a>&nbsp;<a href="traffic.php?id={id}"><img alt="signal" src="images/icon_traffic.gif"/></a></td>
        <!--<td style="text-align: center;"><a href="traffic.php?id={id}"><img alt="traffic" src="images/icon_traffic.gif"/></a></td>-->
      </tr>
      [/routers_online_loop]
    </tbody>
  </table>
</div>
[/routers_online_enable]

[routers_offline_enable]
<div class="post">
  <h4>Offline routers</h4>
  <table>
    <thead>
      <tr>
        [admin]
        <th style="width: 100px;">Admin</th>
        [/admin]
        <th style="width: 120px;">Category</th>
        <th style="width: 260px;">Description</th>
        <th style="width: 100px;">IP</th>
        <th style="text-align: right; width: 50px;">Ping</th>
        <th style="text-align: right; width: 40px;">SNMP</th>
        <th>Info</th>
        <th>Sign.</th>
        <th>Traf.</th>
      </tr>
    </thead>
    <tbody>
      [routers_offline_loop]
      <tr onmouseover="show('id{id}', event, -1);" onmouseout="hide('id{id}');">
        [admin]
        <td>
          <a href="hosts.php?action=edit&amp;id={id}"><strong>Edit</strong><a>,
          <a href="hosts.php?action=delete&amp;id={id}"><strong>Delete</strong><a>
        </td> 
        [/admin]
        <td><a href="show.php?category={category}">{category}</a></td>
        <td><strong><a href="traffic.php?id={id}">{description}</a></strong></td>
        <td><a href="http://{ip}">{ip}</a></td>
        <td style="text-align: right;">{ping}</td>
        <td style="text-align: right;">{snmp}</td>
        <td style="text-align: center;"><a href="system.php?id={id}"><img alt="latency" src="images/icon_latency.gif"/></a></td>
        <td style="text-align: center;"><a href="signal.php?id={id}"><img alt="signal" src="images/icon_signal.gif"/></a></td>
        <td style="text-align: center;"><a href="traff.php?id={id}"><img alt="signal" src="images/icon_traff.gif"/></a>&nbsp;<a href="traffic.php?id={id}"><img alt="signal" src="images/icon_traffic.gif"/></a></td>
        <!--<td style="text-align: center;"><a href="traffic.php?id={id}"><img alt="traffic" src="images/icon_traffic.gif"/></a></td>-->
      </tr>
      [/routers_offline_loop]
    </tbody>
  </table>
</div>
[/routers_offline_enable]

<script type="text/javascript">
  <!--
    function show(id, e, ww) {
      if (document.getElementById) { // DOM3 = IE5, NS6
        ie = (navigator.appName == "Microsoft Internet Explorer");
        var mLeft = (ie) ? document.body.scrollLeft + event.clientX : e.pageX;
        var mTop = (ie) ? document.body.scrollTop + event.clientY : e.pageY;
        document.getElementById(id).style.top = mTop + "px";
        var mmLeft = 0;
        if ((mLeft - ww) < 0) {
          mmLeft = mLeft;
        } else {
          mmLeft = mLeft - ww;
        }
        document.getElementById(id).style.left = mmLeft + 40 + "px";
        document.getElementById(id).style.visibility = 'visible';
      } else {
        if (document.layers) { // Netscape 4
          document.style.top = document.body.scrollTop;
          document.id.visibility = 'visible';
        } else { // IE 4
          document.all.style.top = document.body.scrollTop;
          document.all.id.style.visibility = 'visible';
        }
      }
    }
    function hide(id) {
      if (document.getElementById) { // DOM3 = IE5, NS6
        document.getElementById(id).style.visibility = 'hidden';
      } else {
        if (document.layers) { // Netscape 4
          document.id.visibility = 'hidden';
        } else { // IE 4
          document.all.id.style.visibility = 'hidden';
        }
      }
    }
    function hostname(ip)
    {
      //yourAddress=java.net.InetAddress.getHostName(ip);
      document.write(ip);
    
    }
  // -->
</script>

[detail]
<div id="id{id}" style="position: absolute; z-index: 3; visibility: hidden;
  background-color:#ffffff; layer-background-color:#f5f5f5; ">
  <h4>SNMP Information</h4>
  <br/>
  <table>
    <thead>
      <tr>
        <th style="width:100px;">Request</th>
        <th style="width:300px;">Response</th>
      </tr>
    <thead>
    <tbody>
      <tr>
        <td><strong>Name</strong></td>
        <td>{Name}</td>
      </tr>
      <tr>
        <td><strong>Location</strong></td>
        <td>{Location}</td>
      </tr>
      <tr>
        <td><strong>Contact</strong></td>
        <td>{Contact}</td>
      </tr>
      <tr>
        <td><strong>Uptime</strong></td>
        <td>{Uptime}</td>
      </tr>
    </tbody>
  </table>
</div>
[/detail]
