<div class="post">
  <h4>Traffic for {description}</h4>
  <h5><a href="">Refresh</a></h5>
  <table>
    <thead>
      <tr>
        <th style="vertical-align: bottom; width: 205px;">Hostname</th>
        <th style="vertical-align: bottom; width: 90px;">IP</th>
        <th style="text-align: right; width: 75px;">LAN<br/>Download</th>
        <th style="text-align: right; width: 75px;">LAN<br/>Upload</th>
        <th style="text-align: right; width: 75px;">Internet<br/>Download</th>
        <th style="text-align: right; width: 75px;">Internet<br/>Upload</th>
        <th style="text-align: right; width: 75px;">User<br/>Total</th>
      </tr>
    </thead>
    <tbody>
      [array]
      <tr>
        <td style="padding-top: 4px;" onmouseover="show('id{id}', event, -1);" onmouseout="hide('id{id}');"><strong>{hostname}</strong></td>
        <td>{ip}</td>
        <td style="text-align: right;">{lan_down}&nbsp;kiB</td>
        <td style="text-align: right;">{lan_up}&nbsp;kiB</td>
        <td style="text-align: right;">{net_down}&nbsp;kiB</td>
        <td style="text-align: right;">{net_up}&nbsp;kiB</td>
        <td style="text-align: right;"><strong>{total}&nbsp;kiB</strong></td>
      </tr>
      [/array]
    </tbody>
  </table>
  <br/>
  <table>
    <tr>
      <td style="width:268px;">Total traffic on LAN</td>
      <td style="text-align: right; width: 80px;">{sum_lan}&nbsp;kiB/s</td>
    </tr>
    <tr>
      <td>Total traffic from/to Internet</td>
      <td style="text-align: right; width: 80px;">{sum_net}&nbsp;kiB/s</td>
    </tr>
    <tr>
      <td style="border-top: 1px solid black;">Total traffic via router</td>
      <td style="text-align: right; width: 80px; border-top: 1px solid black;">{sum}&nbsp;kiB/s</td>
    </tr>
  </table>
</div>

<script type="text/javascript">
  <!--
    function show(id, e, ww) {
      if (document.getElementById) { // DOM3 = IE5, NS6
        ie = (navigator.appName == "Microsoft Internet Explorer");
        var mLeft = (ie) ? document.body.scrollLeft + event.clientX : e.pageX;
        var mTop = (ie) ? document.body.scrollTop + event.clientY : e.pageY;
        document.getElementById(id).style.top = mTop + "px";
        var mmLeft = 0;
        if ((mLeft - ww) < 0) {
          mmLeft = mLeft;
        } else {
          mmLeft = mLeft - ww;
        }
        document.getElementById(id).style.left = mmLeft + "px";
        document.getElementById(id).style.visibility = 'visible';
      } else {
        if (document.layers) { // Netscape 4
          document.style.top = document.body.scrollTop;
          document.id.visibility = 'visible';
        } else { // IE 4
          document.all.style.top = document.body.scrollTop;
          document.all.id.style.visibility = 'visible';
        }
      }
    }
    function hide(id) {
      if (document.getElementById) { // DOM3 = IE5, NS6
        document.getElementById(id).style.visibility = 'hidden';
      } else {
        if (document.layers) { // Netscape 4
          document.id.visibility = 'hidden';
        } else { // IE 4
          document.all.id.style.visibility = 'hidden';
        }
      }
    }
    function hostname(ip)
    {
      //yourAddress=java.net.InetAddress.getHostName(ip);
      document.write(ip);
    
    }
  // -->
</script>

[user]
<div id="id{id}" style="position: absolute; LEFT: 0; TOP: 0; WIDTH: 700px; z-index: 3; visibility: hidden;
  background-color:#ffffff; layer-background-color:#ffffff; ">
  
  <table>
    <thead>
      <tr>
        <th colspan="2" style="vertical-align: bottom; width: 200px;">Number of connections</th>
      </tr>
    <thead>
    <tbody>
      <tr>
        <td><strong>LAN</strong></td>
        <td style="text-align: right;"><strong>{connections_lan}</strong></td>
      </tr>
      <tr>
        <td><strong>Internet</strong></td>
        <td style="text-align: right;"><strong>{connections_net}</strong></td>
      </tr>
      <tr style="padding-top: 4px; border-top: 1px solid black;">
        <td><strong>Total</strong></td>
        <td style="text-align: right;"><strong>{connections_total}</strong></td>
      </tr>
    </tbody>
  </table>
  <br/>
  <table>
    <thead>
      <tr>
        <th style="vertical-align: bottom; width: 500px;">Hostname</th>
        <th style="vertical-align: bottom; width: 120px;">IP</th>
        <th style="text-align: right; width: 75px;">Download</th>
        <th style="text-align: right; width: 75px;">Upload</th>
        <th style="text-align: right; width: 75px;">Total</th>
      </tr>
    </thead>
    <tbody>
      [line]
      <tr>
        <td style="padding-top: 4px;"><strong><script type="text/javascript">hostname("{hostname}");</script></strong></td>
        <td>{ip}</td>
        <td style="text-align: right;">{down}&nbsp;kiB</td>
        <td style="text-align: right;">{up}&nbsp;kiB</td>
        <td style="text-align: right;"><strong>{total}&nbsp;kiB</strong></td>
      </tr>
      [/line]
      <tr>
        <td style="padding-top: 4px; border-top: 1px solid black;">Total traffic > 1kiB&nbsp</td>
        <td style="text-align: right; border-top: 1px solid black;">&nbsp</td>
        <td style="text-align: right; border-top: 1px solid black;">{down}&nbsp;kiB</td>
        <td style="text-align: right; border-top: 1px solid black;">{up}&nbsp;kiB</td>
        <td style="text-align: right; border-top: 1px solid black;"><strong>{total}&nbsp;kiB</strong></td>
      </tr>
    </tbody>
  </table>
</div>
[/user]


