<?
include_once("include/config.inc");
include_once("include/functions.php");
include_once("include/db.inc");

$phpstarttime = getmicrotime();

$process_number = $argv[1];
echo "Process $process_number out of $fetch_processes starting...\n";
echo " o Selecting routers from database...\n\n";

$res_count = mysql_query("SELECT COUNT(*) FROM hosts;", GetMyConnection());
if (!$res_count) die ("Error" . " File: " . __FILE__ . " on line: " . __LINE__);
$line = mysql_fetch_array($res_count);
$routers_count = $line[0];

$offset = ceil($routers_count / $fetch_processes);
$limit = ($process_number - 1) * $offset;
$routers = mysql_query("SELECT * FROM hosts ORDER BY id LIMIT $limit, $offset;", GetMyConnection());
if (!$routers) die ("Error" . " File: " . __FILE__ . " on line: " . __LINE__);
$router_count = mysql_num_rows($routers); 
$router_no = 0;
while($router = mysql_fetch_array($routers))
{
  $router_no++;
  $phphoststarttime = getmicrotime();
  echo "HOST($router_no/$router_count): ".$router["id"]." - ".$router["host"]."\n";
  
  echo " o testing latency...\n";
  $ping = ping_host($router["host"]);
  if ($ping !=-1)
  {
    echo "   - latency $ping ms\n";
    $error_ping = 0;
  }
  else
  {
    echo "   - ping error\n";
    $error_ping = 1;
  }
  
  echo " o testing snmp...\n";
  $snmp = snmpget($router["host"], $router["snmp"], "DISMAN-EVENT-MIB::sysUpTimeInstance", 1000000, 2);
  if ($snmp)
  {
     echo "   - snmp ok\n";
    $error_snmp = 0;
  }
  else
  {
    echo "   - snmp unavaible\n";
    $error_snmp = 1;
  }
  
  $ip = gethostbyname($router["host"]);
  
  echo " o reading snmp...\n";
  if (!$error_snmp)
  {
    $snmp_uptime = snmpget($router["host"], $router["snmp"], ".1.3.6.1.2.1.1.3.0", 1000000, 2);
    $uptime = explode(" ", $snmp_uptime, 3);
    $uptime = ereg_replace ('[^0-9]+', '', $uptime[1]);
    echo "   - uptime: $snmp_uptime -> '$uptime'\n";

    $snmp_cpuload = snmpget($router["host"], $router["snmp"], ".1.3.6.1.2.1.25.3.3.1.2.1", 1000000, 2);
    $cpuload = eregi_replace ('INTEGER: ', '', $snmp_cpuload);
    echo "   - cpuload: '$cpuload'\n";
    
    $snmp_contact = snmpget($router["host"], $router["snmp"], "SNMPv2-MIB::sysContact.0", 1000000, 2);
    $contact = eregi_replace ('STRING: ', '', $snmp_contact);
    echo "   - contact: '$contact'\n"; 
       
    $snmp_name = snmpget($router["host"], $router["snmp"], "SNMPv2-MIB::sysName.0", 1000000, 2);
    $name = eregi_replace ('STRING: ', '', $snmp_name);
    echo "   - name: '$name'\n";
     
    $snmp_location = snmpget($router["host"], $router["snmp"], "SNMPv2-MIB::sysLocation.0", 1000000, 2);
    $location = eregi_replace ('STRING: ', '', $snmp_location);
    echo "   - location: '$location'\n";     
    
    echo "   - saving to mysql...\n";     
    $sql = "UPDATE hosts SET snmp_uptime='$snmp_uptime', snmp_contact='$contact', snmp_name='$name', snmp_location='$location' WHERE id='".$router["id"]."';";
    $res2 = mysql_query($sql, GetMyConnection());  
    if (!$res2) die ("Error" . " File: " . __FILE__ . " on line: " . __LINE__);
    
    echo " o read signal levels and update rrd...\n";
    update_signal($router["id"], $router["host"], $router["snmp"]);

    echo " o read interface traffic...\n";
    update_traffic($router["id"], $router["host"], $router["snmp"]); 
  }
  else
  {
    $uptime = "NaN";
    $cpuload = "NaN";
  }
  
  echo " o save system info to rrd... \n";
  update_system($router["id"], $router["host"], $router["snmp"]);
    
  echo " o save system info to mysql... \n";
  $sql = "SELECT pingerror, snmperror FROM hosts WHERE id='".$router["id"]."';";
  $res2 = mysql_query($sql, GetMyConnection());  
  $line2 = mysql_fetch_array($res2);
  if (!$line2) die ("Error" . " File: " . __FILE__ . " on line: " . __LINE__);

  if ($error_ping)
    $error_ping = $line2["pingerror"] + 1;

  if ($error_snmp)
    $error_snmp = $line2["snmperror"] + 1; 
  
  if (($error_snmp > 288) && ($error_ping > 288))
    $offline = 1;
  else
    $offline = 0;
    
  $sql = "UPDATE hosts SET ip='$ip', ping='$ping', pingerror='$error_ping', snmperror='$error_snmp', offline='$offline' WHERE id='".$router["id"]."';";
  $res2 = mysql_query($sql, GetMyConnection());  
  if (!$res2) die ("Error" . " File: " . __FILE__ . " on line: " . __LINE__);
  
  echo "DONE in ".round(getmicrotime() - $phphoststarttime, 1)." seconds\n\n";
  echo "Script running for ".round(getmicrotime() - $phpstarttime, 1)." seconds...\n\n";
}

exit;


function update_system($id, $ip, $snmp_community)
{
  global $rrd_directory, $rrdtool;
  global $ping, $uptime, $cpuload;

  if ($ping == -1)
    $ping_rrd = "NaN";
  else
    $ping_rrd = round($ping);

  $uptime_rrd = (int) $uptime / 100;
   
  $fname = $rrd_directory."rosinfo-system-$id.rrd";
  if (!file_exists($fname))
  {//create rrd
    $cmd  = $rrdtool." create $fname --step 300 ";
    $cmd .= "DS:Ping:GAUGE:600:0:4000 ";
    $cmd .= "DS:CPULoad:GAUGE:600:0:100 ";
    $cmd .= "DS:Uptime:GAUGE:600:0:70000000 "; //max aprox. 2 years
    $cmd .= "RRA:AVERAGE:0.5:1:288 "; //day - 5min
    $cmd .= "RRA:AVERAGE:0.5:12:168 "; //week - 1hour = 60min |1*60*60/300=168
    $cmd .= "RRA:AVERAGE:0.5:72:124 "; //month - 6hour = 360min |6*60*60/300=72
    $cmd .= "RRA:AVERAGE:0.5:288:1095 "; //3year - 1day = 1095min |24*60*60/300=288
    $cmd .= "RRA:MIN:0.5:1:288 "; //day - 5min
    $cmd .= "RRA:MIN:0.5:12:168 "; //week - 1hour = 60min |1*60*60/300=168
    $cmd .= "RRA:MIN:0.5:72:124 "; //month - 6hour = 360min |6*60*60/300=72
    $cmd .= "RRA:MIN:0.5:288:1095 "; //3year - 1day = 1095min |24*60*60/300=288
    $cmd .= "RRA:MAX:0.5:1:288 "; //day - 5min
    $cmd .= "RRA:MAX:0.5:12:168 "; //week - 1hour = 60min |1*60*60/300=168
    $cmd .= "RRA:MAX:0.5:72:124 "; //month - 6hour = 360min |6*60*60/300=72
    $cmd .= "RRA:MAX:0.5:288:1095 "; //3year - 1day = 1095min |24*60*60/300=288
    exec($cmd);
  }
  
  //update data
  $cmd  = $rrdtool." update $fname N:$ping_rrd:$cpuload:$uptime_rrd";
  exec($cmd);
}

function update_signal ($id, $ip, $snmp_community)
{
  $snmp_sign = snmpwalkoid($ip, $snmp_community, "SNMPv2-SMI::enterprises.14988.1.1.1.2.1.3", 1000000, 2);
  if ($snmp_sign == false)
    return false;

  foreach ($snmp_sign as $oid=>$signal)
  {
    //signal
    $dummy = explode(" ", $signal);
    $signal = $dummy[1];
    
    //interface
    $dummy = explode(".", $oid);
    $snmp_interface = snmpget($ip, $snmp_community, "IF-MIB::ifName.".$dummy[count($dummy) - 1], 1000000, 2);
    $interface = eregi_replace ('STRING: ', '', $snmp_interface);
    $interface = convert_alphabet($interface);
    
    //mac
    $oid_search = "14988.1.1.1.2.1.3";
    $skip = strpos($oid, $oid_search) + strlen($oid_search) + 1;
    $mac = substr($oid, $skip);
    $mac = convertMac($mac);
    $pos = strripos($mac,":");
    $mac = substr($mac,0,$pos);
    echo "   - update rrd interface:$interface-$mac: $signal\n";
    update_signal_rrd($id, $interface, $mac, $signal);
  } 
  return true;
}

function update_signal_rrd($id, $interface, $mac, $signal)
{
  global $rrd_directory, $rrdtool;
  if ((strlen($interface) == 0) || (strlen($id) == 0) || (strlen($mac) == 0) || (strlen($signal) == 0))
    return;

  $fname = $rrd_directory."rosinfo-signal-$id-$interface-$mac.rrd";
  if (!file_exists($fname))
  {//create rrd
    $cmd  = $rrdtool." create $fname --step 300 ";
    $cmd .= "DS:Signal:GAUGE:600:-100:U ";
    $cmd .= "RRA:AVERAGE:0.5:1:288 "; //day - 5min
    $cmd .= "RRA:AVERAGE:0.5:12:168 "; //week - 1hour = 60min |1*60*60/300=168
    $cmd .= "RRA:AVERAGE:0.5:72:124 "; //month - 6hour = 360min |6*60*60/300=72
    $cmd .= "RRA:AVERAGE:0.5:288:1095 "; //3year - 1day = 1095min |24*60*60/300=288
    $cmd .= "RRA:MIN:0.5:1:288 "; //day - 5min
    $cmd .= "RRA:MIN:0.5:12:168 "; //week - 1hour = 60min |1*60*60/300=168
    $cmd .= "RRA:MIN:0.5:72:124 "; //month - 6hour = 360min |6*60*60/300=72
    $cmd .= "RRA:MIN:0.5:288:1095 "; //3year - 1day = 1095min |24*60*60/300=288
    $cmd .= "RRA:MAX:0.5:1:288 "; //day - 5min
    $cmd .= "RRA:MAX:0.5:12:168 "; //week - 1hour = 60min |1*60*60/300=168
    $cmd .= "RRA:MAX:0.5:72:124 "; //month - 6hour = 360min |6*60*60/300=72
    $cmd .= "RRA:MAX:0.5:288:1095 "; //3year - 1day = 1095min |24*60*60/300=288
    exec($cmd);
  }
  //update dat
  $cmd  = $rrdtool." update $fname N:$signal";
  exec($cmd);
}

function update_traffic ($id, $ip, $snmp_community)
{
  $snmp = snmpwalkoid($ip, $snmp_community, ".1.3.6.1.2.1.2.2.1", 1000000, 2);
  if (!$snmp)
    return false;

  foreach ($snmp as $head=>$value)
  {
    $caption = end(explode("::", $head));
    $caption = reset(explode(".", $caption));
    $number = end(explode(".", $head));
    $value = end(explode("=", $value));
    $value = end(explode(": ", $value)); 
    $interfaces[$number][$caption]=$value;
  }
  
  foreach ($interfaces as $number=>$interface)
  {
    echo "   - update rrd interface:".$interface["ifDescr"]."\n";
    update_traffic_rrd($id, $interface);
  }
  return true;
}

function update_traffic_rrd($id, $interface)
{
  global $rrd_directory, $rrdtool;
  
  $ifdesc = $interface["ifDescr"];
  $ifdesc = convert_alphabet($ifdesc);
  $traffic_in = $interface["ifInOctets"];
  $traffic_out = $interface["ifOutOctets"];
  
  if ((strlen($ifdesc) == 0) || (strlen($id) == 0))
    return;
  
  $fname = $rrd_directory."rosinfo-traffic-$id-$ifdesc.rrd";
  if (!file_exists($fname))
  {//create rrd
    $cmd  = $rrdtool." create $fname --step 300 ";
    $cmd .= "DS:traffic_in:COUNTER:600:0:100000000 ";
    $cmd .= "DS:traffic_out:COUNTER:600:0:100000000 ";
    $cmd .= "RRA:AVERAGE:0.5:1:288 "; //day - 5min
    $cmd .= "RRA:AVERAGE:0.5:12:168 "; //week - 1hour = 60min |1*60*60/300=168
    $cmd .= "RRA:AVERAGE:0.5:72:124 "; //month - 6hour = 360min |6*60*60/300=72
    $cmd .= "RRA:AVERAGE:0.5:288:1095 "; //3year - 1day = 1095min |24*60*60/300=288
    $cmd .= "RRA:MIN:0.5:1:288 "; //day - 5min
    $cmd .= "RRA:MIN:0.5:12:168 "; //week - 1hour = 60min |1*60*60/300=168
    $cmd .= "RRA:MIN:0.5:72:124 "; //month - 6hour = 360min |6*60*60/300=72
    $cmd .= "RRA:MIN:0.5:288:1095 "; //3year - 1day = 1095min |24*60*60/300=288
    $cmd .= "RRA:MAX:0.5:1:288 "; //day - 5min
    $cmd .= "RRA:MAX:0.5:12:168 "; //week - 1hour = 60min |1*60*60/300=168
    $cmd .= "RRA:MAX:0.5:72:124 "; //month - 6hour = 360min |6*60*60/300=72
    $cmd .= "RRA:MAX:0.5:288:1095 "; //3year - 1day = 1095min |24*60*60/300=288
    exec($cmd);
  }
  //update dat
  $cmd  = $rrdtool." update $fname N:$traffic_in:$traffic_out";
  exec($cmd);
}

function update_snmp_info($id, $ip, $snmp_community)
{
  $uptime = snmpget($ip, $snmp_community, "DISMAN-EVENT-MIB::sysUpTimeInstance", 1000000, 2);
  $contact = end(explode(":",snmpget($ip, $snmp_community, "SNMPv2-MIB::sysContact.0", 1000000, 2)));
  $name = end(explode(":",snmpget($ip, $snmp_community, "SNMPv2-MIB::sysName.0", 1000000, 2)));
  $location = end(explode(":",snmpget($ip, $snmp_community, "SNMPv2-MIB::sysLocation.0", 1000000, 2)));
  
  $sql = "UPDATE hosts SET snmp_uptime='$uptime', snmp_contact='$contact', snmp_name='$name', snmp_location='$location' WHERE id='$id';";
  //echo "   - ".$sql."\n";
  $res2 = mysql_query($sql, GetMyConnection());  
  if (!$res2) die ("Error" . " File: " . __FILE__ . " on line: " . __LINE__);
}

function convertMAC($mac)
{
  $mac_arr = explode('.',$mac);
  foreach($mac_arr as $atom) 
  {
    $atom = trim($atom);
    $newarr[] = sprintf("%02x",$atom);
  }
  $newmac = implode(':',$newarr);
  return $newmac;
}

function ping_host($address) 
{
  $str = exec("ping -c 3 -n -w 10 ".$address);
  $str = strstr($str, ' = '); //crop
  $str = explode("/",$str);
  if (count($str) <= 1)
    return "-1";
  
  return $str[1];
}
		
?>
